RANDOM(1XNX)

NAME
random - (XENIX) generate a random number

SYNOPSIS
random [-s] [scale]

DESCRIPTION
Random computes a random value. The result is printed on standard output and is also returned as exit status. The -s option inhibits printing of the result. When a scale is given, computed values lie between 0 and scale. The maximum scale value is 255, the default is 1.

NOTES
Since the current time in seconds is used as seed for computation, calling random more than once within the same second produces the same result for each call.